Subject: Re: bug#21453: 25.0.50; When font size is temporarily increased Emacs is slow

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Sep 2015 16:47:41 +0300

> From: Mark Karpov <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 11 Sep 2015 18:46:33 +0600
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > How much slower it is?
> 
> Hard to tell. I don't know how to measure this properly. From subjective
> perception it's slow enough to be noticed when I hold ‘C-n’.

One way to measure it is to write a simple Lisp function that scrolls
with next-line to the end of a long buffer, and measures the time it
takes to do that.  Then run it and show the results.  (Some slow-down
is expected because a larger font with the same window dimensions
means more scrolls, but you can alleviate that effect to some extent
by enlarging the window to have the same number of visible lines.)

> > Also, what text is in the buffer that you are using in your recipe?
> > Does it use more than one font?
> 
> No it doesn't. I tried it with normal text, something from my
> configuration. I can only tell that it happens even when text doesn't
> have long lines (beyond 80 characters). Just checked this out.
> 
> I think the text itself is not that important.

Does the text have faces other than the default face?  What modes were
active in that buffer?  Do you see the same slow-down in a buffer
that's in Fundamental mode?